base-4.9.1.0: Basic libraries

Copyright | (c) Adam Gundry 2015
License | see libraries/base/LICENSE
Maintainer | cvs-ghc@haskell.org
Stability | internal
Portability | non-portable (GHC extensions)
Safe Haskell | None
Language | Haskell2010

GHC.OverloadedLabels

Description

This module defines the `IsLabel` class is used by the OverloadedLabels extension. See the wiki page for more details.

The key idea is that when GHC sees an occurrence of the new overloaded label syntax `#foo`, it is replaced with

    fromLabel (proxy# :: Proxy# "foo") :: alpha

plus a wanted constraint `IsLabel "foo" alpha`.

# Documentation

class IsLabel x a where Source #

Minimal complete definition

fromLabel

Methods

fromLabel :: Proxy# x -> a Source #